/*!
* @file TrapBase.cpp
* @brief ゲーム中のトラップベースを定義する
* @date 2014/02/01
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "TrapBase.h"

namespace Deeangband
{

	TrapBase::TrapBase(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
	{
		return;
	}

	TrapBase::TrapBase(void)
	{
		return;
	}

	TrapBase::~TrapBase(void)
	{
		return;
	}

	std::string TrapBase::GetName(void)
	{
		return this->name;
	}

}